Bug 427332 - Only 800x600 resolution with ATI Radeon driver
Only 800x600 resolution with ATI Radeon driver
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-03 01:57 EST by Johann Amin
Modified: 2009-01-09 02:34 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:34:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Picture of desktop-in-desktop effect (192.94 KB, image/png)
2008-01-03 01:57 EST, Johann Amin
no flags Details
Xorg.0.log Log File (69.64 KB, text/plain)
2008-01-11 03:54 EST, Johann Amin
no flags Details
Xorg.setup.log Log File (1.78 KB, text/plain)
2008-01-11 03:55 EST, Johann Amin
no flags Details
Xorg.0.log Log File After Removing xorg.conf (64.89 KB, text/plain)
2008-01-11 04:14 EST, Johann Amin
no flags Details

  None (edit)
Description Johann Amin 2008-01-03 01:57:56 EST
Description of problem:
After installing, system-config-display allows me to select screen resolutions
of 640x480 and 800x600 only. Manually editing the xorg.conf file and setting the
required resolution to 1440x900, I get a "desktop-in-desktop" effect. That is to
say that whole desktop displays at 1440x900 but I will have another 800x600
"desktop" in the upper left hand corner of the screen. Any application that is
within that 800x600 space will be maximized to that 800x600 "desktop" space,
while applications that are outside can be maximized to full screen. Attached is
a picture of yumex and the 2 gnome panels being constrained within the 800x600
"desktop" while xchat is maximized to 1440x900.


Version-Release number of selected component (if applicable):
6.7.196-2.fc8


How reproducible:
Always


Steps to Reproduce:
1. Run system-config-display
2. Manually edit /etc/X11/xorg.conf file
3. Restart X

  
Actual results:
800x600 maximum resolution selectable. Manual editing of xorg.conf file results
in a "desktop-in-desktop" effect where a 800x600 "desktop" exists inside a
1440x900 desktop.


Expected results:
system-config-display should give me the option of selecting 1440x900. Desktop
should display at 1440x900 without the additional "virtual desktop" in it.


Additional info:
My display adapter according to lspci is:
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility M6 LY
(prog-if 00 [VGA])
        Subsystem: ATI Technologies Inc Unknown device 010a
        Flags: bus master, stepping, 66MHz, medium devsel, latency 32, IRQ 16
        Memory at f0000000 (32-bit, prefetchable) [size=128M]
        I/O ports at de00 [size=256]
        Memory at feaf0000 (32-bit, non-prefetchable) [size=64K]
        [virtual] Expansion ROM at fea00000 [disabled] [size=128K]
        Capabilities: [58] AGP version 2.0
        Capabilities: [50] Power Management version 2

My xorg.conf look like this:
# Xorg configuration created by system-config-display
Section "ServerLayout"
        Identifier     "single head configuration"
        Screen      0  "Screen0" 0 0
        InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "Module"
        Load  "dbe"
        Load  "extmod"
        Load  "fbdevhw"
        Load  "glx"
        Load  "record"
        Load  "freetype"
        Load  "type1"
        Load  "dri"
EndSection

Section "InputDevice"
        Identifier  "Keyboard0"
        Driver      "kbd"
        Option      "XkbModel" "pc105"
        Option      "XkbLayout" "us+inet"
EndSection

Section "Monitor"
        Identifier   "Monitor0"
        ModelName    "LCD Panel 1440x900"
        HorizSync    31.5 - 80.0
        VertRefresh  56.0 - 75.0
        Option      "dpms"
EndSection

Section "Device"
        Identifier  "Videocard0"
        Driver      "radeon"
EndSection

Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        Monitor    "Monitor0"
        DefaultDepth     24
        SubSection "Display"
                Viewport   0 0
                Depth     24
                Modes    "1440x900" "1400x1050" "1360x768" "1280x1024"
"1280x960" "1280x800" "1280x720" "1152x864" "1024x768" "800x600" "640x480"
        EndSubSection
EndSection

Section "DRI"
        Mode         0666
EndSection

Section "Extensions"
        Option      "Composite" "Enable"
EndSection
Comment 1 Johann Amin 2008-01-03 01:57:56 EST
Created attachment 290705 [details]
Picture of desktop-in-desktop effect
Comment 2 Johann Amin 2008-01-03 02:00:40 EST
All 8 systems with the same specs worked fine with Fedora 7.
Comment 3 Matěj Cepl 2008-01-10 09:40:05 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach X server log file (/var/log/Xorg.*.log) to the bug report as
individual uncompressed file attachment using the bugzilla file attachment link
below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Johann Amin 2008-01-11 03:54:18 EST
Created attachment 291363 [details]
Xorg.0.log Log File
Comment 5 Johann Amin 2008-01-11 03:55:34 EST
Created attachment 291364 [details]
Xorg.setup.log Log File
Comment 6 Johann Amin 2008-01-11 04:14:53 EST
Created attachment 291366 [details]
Xorg.0.log Log File After Removing xorg.conf

Xorg.0.log log file after removing xorg.conf and restarted PC. X starts in
800x600 resolution.
Comment 7 Casual J. Programmer 2008-03-04 01:28:19 EST
Similar problem on a Sony Vaio PCG-SRX51P, 
difference is, display is completely out of sync when manually selecting a
1024*768 TFT Display. Graphics card is Intel 82815 CGC. Would that fit in here
or rather make a new bug ?
Comment 8 Dave Airlie 2008-03-30 21:44:35 EDT
the 82815 bug is different, please file a new bug.

To the original reporter, your BIOS appears to report a faulty mode for the
built-in panel.

Please try adding Option "PanelSize" "1400x900" to your xorg.conf device section
Comment 9 Johann Amin 2008-03-31 23:09:26 EDT
Alright! That seems to have nailed down the problem. Thanks!
Comment 10 Bug Zapper 2008-11-26 04:16:14 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-01-09 02:34:18 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.